This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 568361 - Additional langpacks are not installed when language changed
Additional langpacks are not installed when language changed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-langpacks (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-25 09:58 EST by Kamil Páral
Modified: 2010-10-27 05:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 05:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2010-02-25 09:58:45 EST
Description of problem:
I followed this test case:
https://fedoraproject.org/wiki/QA:Langpack_Yum_Application

I logged in with cs_CZ locale, installed eclipse. The eclipse-nls-cs was correctly added to the install list. After that I logged out and logged in with pl_PL locale. I don't seem to be able to have eclipse-nls-pl installed automatically. I tried "yum update eclipse", "yum install eclipse", "yum update" - still it doesn't offer me to install Polish langpack automatically.
But the test case says "Current locale package for the installed application should be installed automatically."

Version-Release number of selected component (if applicable):
Fedora 12
yum-presto-0.6.2-1.fc12.noarch
yum-utils-1.1.25-1.fc12.noarch
yum-metadata-parser-1.1.2-14.fc12.x86_64
yum-3.2.25-1.fc12.noarch
yum-langpacks-0.1.4-2.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1. see description
2.
3.
Comment 1 Kamil Páral 2010-02-25 10:36:27 EST
The same problem for PackageKit integration, I don't know how to have pl translation automatically installed. I tried installing other packages, I tried to display the list of available updates - no eclipse-nls-pl there.
Comment 2 Jens Petersen 2010-02-26 05:16:43 EST
yum-langpacks only kicks in when there is a package update available I think.
Comment 3 Bug Zapper 2010-07-30 06:54:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2010-10-27 02:16:53 EDT
I think this is basically a limitation of yum.
At least the plugin currently will only see
langpacks for a new language when there is
base package update.  But if you have a example
or counterexample for a different plugin say
I can try to look more into how this might be
done.  I think there might also be a lot of
yum overhead if we have to check for langpacks
for any installed package in every yum transaction.
So may be the current way is a reasonable
compromise if not perfect.
Comment 5 Kamil Páral 2010-10-27 05:08:36 EDT
I understand. So what's the proposed solution - you close this bug as WONTFIX and I'll update the test case instructions and put a note there about this use case (saying it's not supported)?
Comment 6 Jens Petersen 2010-10-27 05:25:16 EDT
(In reply to comment #5)
> I understand. So what's the proposed solution - you close this bug as WONTFIX
> and I'll update the test case instructions and put a note there about this use
> case (saying it's not supported)?

Yes, thank you - sounds good to me.

If later we find a better way to handle this
case perhaps we can reopen and revisit.

Note You need to log in before you can comment on or make changes to this bug.